Inference decisions
Evaluate and persist a recommendation
POST
/
api
/
v1
/
deployments
/
{name}
/
recommendations
Evaluate and persist a recommendation
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"recommendation": {
"algorithm_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"input_digest": "<string>",
"input_snapshot": {},
"reason": "<string>",
"candidates": [
{
"configuration": "<string>",
"eligible": true,
"evidence_id": "<string>",
"capacity_expires_at": "2023-11-07T05:31:56Z",
"capacity_observed_at": "2023-11-07T05:31:56Z",
"capacity_source": "<string>",
"disclosures": [
"<string>"
],
"missing": [
"<string>"
],
"qualification_state": "<string>",
"score": 123,
"violations": [
"<string>"
]
}
],
"missing": [
"<string>"
],
"selected_evidence_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Body
application/json
The body is of type object.
Response
Created
Show child attributes
Show child attributes
⌘I
Evaluate and persist a recommendation
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/recommendations"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"recommendation": {
"algorithm_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"input_digest": "<string>",
"input_snapshot": {},
"reason": "<string>",
"candidates": [
{
"configuration": "<string>",
"eligible": true,
"evidence_id": "<string>",
"capacity_expires_at": "2023-11-07T05:31:56Z",
"capacity_observed_at": "2023-11-07T05:31:56Z",
"capacity_source": "<string>",
"disclosures": [
"<string>"
],
"missing": [
"<string>"
],
"qualification_state": "<string>",
"score": 123,
"violations": [
"<string>"
]
}
],
"missing": [
"<string>"
],
"selected_evidence_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}